unit slinjed;
(*****************************************************)

interface
(*****************************************************)
const POCET = 3;

type smernik = ^struct;
     struct  =  record
                  hodnota : byte;
                  sused   : smernik;
                end;

var zaciatok : array[1..POCET] of smernik;
    pseudozaciatok   : smernik;

procedure vytvorprazdnezoznamy;
procedure vopchajdozoznamu(n:longint; c:byte);
procedure nacitajvelmidlhecisla; (* tak do 255 znakov *)

implementation
(*****************************************************)
procedure vytvorprazdnezoznamy;
var i : byte; 
begin
  for i:=1 to POCET do zaciatok[i]:=nil;
  pseudozaciatok:=nil;
end;

(* budeme pchat na zaciatok, aby tam boli nakoniec jednotky *)
procedure vopchajdozoznamu(n:longint; c:byte);
var clen : smernik;
begin
  new(clen);
  with clen^ do begin
    hodnota:=c;
    sused:=zaciatok[n];
  end;
  zaciatok[n]:=clen;
end;

procedure nacitajvelmidlhecisla; (* tak do 255 znakov *)
var cstr : string;
    c, i, j : byte;
    hrabjecody : integer;
begin
  for i:=1 to POCET do begin
    writeln('Zadaj ', i, '. velmi dlhe cele kladne cislo'); readln(cstr);
    for j:=1 to length(cstr) do begin
      val(cstr[j], c, hrabjecody);
      vopchajdozoznamu(i, c); (* pchame na zaciatok *)
    end;
  end;
end;

begin
(*****************************************************)

end.